Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007647OCamldocumentationpublic2017-09-29 23:192017-10-08 18:02
Reporteryawaramin 
Assigned Togasche 
PrioritynormalSeveritytextReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.07.0+dev 
Summary0007647: Emphasise ocaml.org website and forum in readme
DescriptionThe OCaml readme section 'Keeping in Touch with the Caml Community' mentions the ocaml.org website at the end of the section, and doesn't mention the discuss.ocaml.org forum at all. These two resources should be at the top of the section so users can immediately access them, and the older fora should be mentioned later.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0018407)
yawaramin (reporter)
2017-09-29 23:23

In fact several places in the readme direct the user to caml.inria.fr, where they will immediately see that the site is being retired in favour of ocaml.org. It would be better to directly mention ocaml.org in the first place and avoid confusing users.
(0018409)
gasche (developer)
2017-09-30 01:58

This sounds reasonable, would you be willing to provide a patch that rewords this section?
(0018419)
yawaramin (reporter)
2017-09-30 14:24

@gasche: gladly, I'll work up a PR and send it soon.
(0018513)
gasche (developer)
2017-10-08 18:01

Fixed by the proposed PR (GPR#1384, https://github.com/ocaml/ocaml/pull/1384 [^] ).
(0018514)
gasche (developer)
2017-10-08 18:02

(The final state is a compromise where caml-list remains mentioned first, and Discuss later.)

- Issue History
Date Modified Username Field Change
2017-09-29 23:19 yawaramin New Issue
2017-09-29 23:23 yawaramin Note Added: 0018407
2017-09-30 01:58 gasche Note Added: 0018409
2017-09-30 01:58 gasche Status new => acknowledged
2017-09-30 14:24 yawaramin Note Added: 0018419
2017-10-08 18:01 gasche Note Added: 0018513
2017-10-08 18:01 gasche Status acknowledged => resolved
2017-10-08 18:01 gasche Fixed in Version => 4.07.0+dev
2017-10-08 18:01 gasche Resolution open => fixed
2017-10-08 18:01 gasche Assigned To => gasche
2017-10-08 18:02 gasche Note Added: 0018514


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker